/* TABLE OF CONTENTS

    base

*/

/* INFO

    This file requires the css prefix .themeEditor
    This css file handles the styling for the Theme Editor

*/

/* [START] BASE */

.themeEditor .btn{
    float:right;
}

.themeEditor .fa-unlock,
.themeEditor .fa-lock{
    position: relative;
    top: 10px;
    color: var(--icon-1) !important;
}

.themeEditor .fa-undo-alt{
    position: relative;
    top: -8px;
    color: var(--card-text) !important;
}

.themeEditor input{
    -webkit-box-shadow: 0 0px 0px 1px rgba(0,0,0,0.5);
    box-shadow: 0 0px 0px 1px rgba(0,0,0,0.5);
}

/* COLOR INPUTS */
.themeEditor input[type=color]{
    width: calc(100% - 30px);
    height: 30px;
    outline: none;
    padding: 0 !important;
    border-radius: 5px !important;
    border: none !important;
}

.themeEditor input::-webkit-color-swatch-wrapper {
    padding: 0 !important;
}
.themeEditor input::-webkit-color-swatch {
    border: none !important;
    border-radius: 5px !important;
}

/* PREVIEW BOXES */
.themeEditor-tooltip {
    visibility: visible !important;
    min-width: 200px;
    background-color: var(--tooltip-0);
    text-align: center;
    padding: 5px;
    border-radius: var(--effects-1);
    line-height: 1.4;
}
.themeEditor-tooltip-span {
    color: var(--tooltip-1);
}

.preview-btn {
    float: none !important;
}

.preview-success-box {
    background-color: var(--message-0) !important;
    padding: 10px 10px 0.5px 10px;
}
.preview-success-box p {
    color: var(--message-1) !important;
    font-size: 14px;
}

.preview-error-box {
    background-color: var(--message-2) !important;
    padding: 10px 10px 0.5px 10px;
}
.preview-error-box p {
    color: var(--message-3) !important;
    font-size: 14px;
}

/* [END] BASE */
